//+------------------------------------------------------------------+
//|                                                        ProGo.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property  indicator_buffers 1
#property  indicator_color1  Green
//#property  indicator_color2  Green
extern int period=14;
double ProGo[];
double open_close[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   //SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(0,DRAW_LINE);
   //SetIndexStyle(1,DRAW_HISTOGRAM);
   IndicatorDigits(Digits);
   SetIndexBuffer(0,ProGo);
   //SetIndexBuffer(1,open_close);
   IndicatorShortName("ProGo("+period+")");
   SetIndexLabel(0,"ProGo");
   ArrayResize(open_close,Bars);
   return(0);
}

int start()
{
   int limit;
   double sum;
   int counted_bars=IndicatorCounted();
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   for(int i=0;i<limit;i++)
      open_close[i]=Open[i]-Close[i+1];

   for(i=0;i<limit;i++){
      for(int k=i;k<i+period;k++)
         sum+=open_close[k];
      ProGo[i]=sum/period;
      sum=0;
   }
   return(0);
  }
//+------------------------------------------------------------------+